KABC::DistributionListDialog Class Reference

`#include <distributionlistdialog.h>`

Inheritance diagram for KABC::DistributionListDialog:

## Public Member Functions

| DistributionListDialog (AddressBook *ab, QWidget *parent)
virtual | ~DistributionListDialog ()

## Additional Inherited Members

Protected Member Functions inherited from KDialog
virtual void | keyPressEvent (QKeyEvent *)

## Detailed Description

Frontend to create distribution lists.

Creating a new DistributionListDialog does automatically load all addressees and distribution lists from the config files. The changes will be saved when clicking the 'OK' button.

Example:

KABC::DistributionListDialog *dlg = new
KABC::DistributionListDialog( KABC::StdAddressBook::self(), this );
dlg->exec();

Definition at line 55 of file distributionlistdialog.h.

## Constructor & Destructor Documentation

DistributionListDialog::DistributionListDialog | ( | AddressBook * | ab,
|  | QWidget * | parent
| ) |  |

Constructor.

Parameters

  ab | The addressbook, the addressees should be used from
  parent | The parent widget

Definition at line 43 of file distributionlistdialog.cpp.

DistributionListDialog::~DistributionListDialog | ( |  | ) |

virtual

Destructor.

Definition at line 52 of file distributionlistdialog.cpp.

The documentation for this class was generated from the following files:

- distributionlistdialog.h
- distributionlistdialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys